#pragma once
double f1(double x);
double f2(double x);
double** generate_ugrid(double (*f)(double), int n, double a, double b);
double* LDR_sol(double** A, double* left_v,int n);
double* change_p(int n, int d_change, int pos_change , int amount);
double* MLS_coef(double* xh, double* yh, double* p, int m, int n);
double MLS(double x, double* coefs, int m);